# needed for building on el6
%{?nodejs_find_provides_and_requires}

# test depends on tad
%global enable_tests 0
%global srcname next

Name:           nodejs-%{srcname}
Version:        0.4.0
Release:        2%{?dist}
Summary:        Functions that extend and complement Node.js API
License:        MIT
URL:            https://github.com/medikoo/node-ext
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tad)
BuildRequires:  npm(es5-ext)
BuildRequires:  npm(deferred)
BuildRequires:  npm(memoizee)
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules
chmod -x module/find-package-root.js
chmod -x module/require-first-in-tree.js

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json module/ *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} ./node_modules/tad/bin/tad
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGES *.md
%license LICENCE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-1
- Initial package
